summaryrefslogtreecommitdiffstats
path: root/package/base-files/au1000
diff options
context:
space:
mode:
authornbd <nbd@3c298f89-4303-0410-b956-a3cf2f4a3e73>2006-11-03 22:03:50 +0000
committernbd <nbd@3c298f89-4303-0410-b956-a3cf2f4a3e73>2006-11-03 22:03:50 +0000
commit81671750134cc98c33ac4441d7a6eacf59448641 (patch)
treea3b14c1c179be87fb786d4a911daa3116be3286d /package/base-files/au1000
parent41ca1e6a0951a8d2a0491b5c5c17456dea596c26 (diff)
rename the <boardname>-<kernelversion> directories of base-files to just <boardname>, so that the broadcom stuff can share files across kernel versions. adding back <boardname>-<kernelversion> for version specific overrides is still possible
git-svn-id: svn://svn.openwrt.org/openwrt/trunk@5427 3c298f89-4303-0410-b956-a3cf2f4a3e73
Diffstat (limited to 'package/base-files/au1000')
-rw-r--r--package/base-files/au1000/etc/config/network14
-rwxr-xr-xpackage/base-files/au1000/sbin/mount_root26
2 files changed, 40 insertions, 0 deletions
diff --git a/package/base-files/au1000/etc/config/network b/package/base-files/au1000/etc/config/network
new file mode 100644
index 000000000..9b65652f0
--- /dev/null
+++ b/package/base-files/au1000/etc/config/network
@@ -0,0 +1,14 @@
+# Copyright (C) 2006 OpenWrt.org
+
+config interface loopback
+ option ifname lo
+ option proto static
+ option ipaddr 127.0.0.1
+ option netmask 255.0.0.0
+
+config interface lan
+ option type bridge
+ option ifname "eth0 ath0"
+ option proto static
+ option ipaddr 192.168.1.1
+ option netmask 255.255.255.0
diff --git a/package/base-files/au1000/sbin/mount_root b/package/base-files/au1000/sbin/mount_root
new file mode 100755
index 000000000..718394ca4
--- /dev/null
+++ b/package/base-files/au1000/sbin/mount_root
@@ -0,0 +1,26 @@
+#!/bin/sh
+# Copyright (C) 2006 OpenWrt.org
+
+mount none /proc -t proc
+size=$(awk '/Mem:/ {l=5242880;print((s=$2/2)<l)?$2-l:s}' /proc/meminfo)
+mount none /tmp -t tmpfs -o size=$size
+
+if [ "$1" != "failsafe" ]; then
+ mtd unlock filesystem
+ mount | grep jffs2 >&-
+ if [ $? = 0 ] ; then
+ if [ $(cat /proc/mtd | wc -l) = 6 ]; then
+ mtd erase filesystem
+ jffs2root --move
+ else
+ mount -o remount,rw /dev/root /
+ fi
+ else
+ . /bin/firstboot
+ fi
+fi
+
+mount none /tmp -t tmpfs -o remount,nosuid,nodev,mode=1777
+mkdir -p /dev/pts
+mount none /dev/pts -t devpts
+mount -t sysfs none /sys 2>&-